Bug 287568 - systemsettings crached on editing or creating action in remote control tab
Summary: systemsettings crached on editing or creating action in remote control tab
Status: RESOLVED FIXED
Alias: None
Product: kremotecontrol
Classification: Applications
Component: settings (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Michael Zanetti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-25 18:19 UTC by abyss.andrey
Modified: 2012-11-05 14:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (6.41 KB, text/plain)
2012-02-24 17:57 UTC, abyss.andrey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description abyss.andrey 2011-11-25 18:19:40 UTC
Application: systemsettings (1.0)
KDE Platform Version: 4.7.3 (4.7.3)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-13-generic i686
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:

I tried to edit and create new action in remote control, when systemsettings crached.

-- Backtrace:
Application: Параметры системы (systemsettings), signal: Segmentation fault
[Current thread is 1 (Thread 0xb77ed930 (LWP 4127))]

Thread 2 (Thread 0xb5022b70 (LWP 4128)):
#0  0x00eadd10 in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0x0438d7d5 in do_gettime (frac=0xb5022020, sec=0xb5022018) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x044604b6 in QTimerInfoList::updateCurrentTime (this=0x89f1534) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0446080a in QTimerInfoList::timerWait (this=0x89f1534, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x0445f053 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xb502212c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0445f0ed in timerSourcePrepare (source=0x89f1500, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x029c788c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x029c8637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x029c8c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x0445fb37 in QEventDispatcherGlib::processEvents (this=0x89ee1d8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x044301dd in QEventLoop::processEvents (this=0xb50222b0, flags=...) at kernel/qeventloop.cpp:149
#12 0x04430421 in QEventLoop::exec (this=0xb50222b0, flags=...) at kernel/qeventloop.cpp:201
#13 0x0433390b in QThread::exec (this=0x88be4c8) at thread/qthread.cpp:498
#14 0x04410e2d in QInotifyFileSystemWatcherEngine::run (this=0x88be4c8) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x043367b3 in QThreadPrivate::start (arg=0x88be4c8) at thread/qthread_unix.cpp:331
#16 0x00c9fd31 in start_thread () from /lib/i386-linux-gnu/libpthread.so.0
#17 0x00ac50ce in clone () from /lib/i386-linux-gnu/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb77ed930 (LWP 4127)):
[KCrash Handler]
#7  0x06a5a9fb in RemoteControl::buttons (this=0xbf8be848) at ../../../kremotecontrol/libkremotecontrol/remotecontrol.cpp:53
#8  0x063a3aab in EditActionContainer::EditActionContainer (this=0x8d44580, action=0x8cd6358, remote=..., parent=0x0, flags=...) at ../../../kremotecontrol/kcmremotecontrol/editactioncontainer.cpp:43
#9  0x0639ca4f in KCMRemoteControl::editAction (this=0x8cb9278) at ../../../kremotecontrol/kcmremotecontrol/kcmremotecontrol.cpp:155
#10 0x0639f08c in KCMRemoteControl::qt_metacall (this=0x8cb9278, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf8beab8) at ./kcmremotecontrol.moc:100
#11 0x04437b7d in metacall (argv=0xbf8beab8, idx=38, cl=QMetaObject::InvokeMetaMethod, object=0x8cb9278) at kernel/qmetaobject.cpp:237
#12 QMetaObject::metacall (object=0x8cb9278, cl=QMetaObject::InvokeMetaMethod, idx=38, argv=0xbf8beab8) at kernel/qmetaobject.cpp:232
#13 0x04446a6a in QMetaObject::activate (sender=0x8b80038, m=0x1986a28, local_signal_index=2, argv=0xbf8beab8) at kernel/qobject.cpp:3278
#14 0x0173fe1d in QAbstractButton::clicked (this=0x8b80038, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#15 0x0143e58d in QAbstractButtonPrivate::emitClicked (this=0x8cc58d8) at widgets/qabstractbutton.cpp:546
#16 0x0143fbfb in QAbstractButtonPrivate::click (this=0x8cc58d8) at widgets/qabstractbutton.cpp:539
#17 0x0143feb6 in QAbstractButton::mouseReleaseEvent (this=0x8b80038, e=0xbf8bf06c) at widgets/qabstractbutton.cpp:1121
#18 0x01084f98 in QWidget::event (this=0x8b80038, event=0xbf8bf06c) at kernel/qwidget.cpp:8295
#19 0x0143f159 in QAbstractButton::event (this=0x8b80038, e=0xbf8bf06c) at widgets/qabstractbutton.cpp:1080
#20 0x014e1798 in QPushButton::event (this=0x8b80038, e=0xbf8bf06c) at widgets/qpushbutton.cpp:683
#21 0x0102ad54 in notify_helper (e=0xbf8bf06c, receiver=0x8b80038, this=0x8534118) at kernel/qapplication.cpp:4486
#22 QApplicationPrivate::notify_helper (this=0x8534118, receiver=0x8b80038, e=0xbf8bf06c) at kernel/qapplication.cpp:4458
#23 0x01030dbb in QApplication::notify (this=0x8534118, receiver=0x8b80038, e=0xbf8bf06c) at kernel/qapplication.cpp:4047
#24 0x002f7681 in KApplication::notify (this=0xbf8bf89c, receiver=0x8b80038, event=0xbf8bf06c) at ../../kdeui/kernel/kapplication.cpp:311
#25 0x0443119e in QCoreApplication::notifyInternal (this=0xbf8bf89c, receiver=0x8b80038, event=0xbf8bf06c) at kernel/qcoreapplication.cpp:787
#26 0x0102bd15 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#27 QApplicationPrivate::sendMouseEvent (receiver=0x8b80038, event=0xbf8bf06c, alienWidget=0x8b80038, nativeWidget=0x85287b8, buttonDown=0x1995eb4, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3146
#28 0x010b82c4 in QETWidget::translateMouseEvent (this=0x85287b8, event=0xbf8bf4ec) at kernel/qapplication_x11.cpp:4568
#29 0x010b6e4d in QApplication::x11ProcessEvent (this=0xbf8bf89c, event=0xbf8bf4ec) at kernel/qapplication_x11.cpp:3690
#30 0x010e324c in x11EventSourceDispatch (s=0x85372a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#31 0x029c825f in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#32 0x029c8990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#33 0x029c8c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#34 0x0445fada in QEventDispatcherGlib::processEvents (this=0x850ebe0, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#35 0x010e2e3a in QGuiEventDispatcherGlib::processEvents (this=0x850ebe0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#36 0x044301dd in QEventLoop::processEvents (this=0xbf8bf7f4, flags=...) at kernel/qeventloop.cpp:149
#37 0x04430421 in QEventLoop::exec (this=0xbf8bf7f4, flags=...) at kernel/qeventloop.cpp:201
#38 0x0443519d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#39 0x010288f4 in QApplication::exec () at kernel/qapplication.cpp:3760
#40 0x080502b8 in main (argc=145638052, argv=0x11) at ../../../systemsettings/app/main.cpp:49

Reported using DrKonqi
Comment 1 abyss.andrey 2012-02-24 17:57:58 UTC
Created attachment 69069 [details]
New crash information added by DrKonqi

kcmshell4 () on KDE Platform 4.8.00 (4.8.0 using Qt 4.7.4

- What I was doing when the application crashed:

It still happends in KDE 4.8.0

I can add that remote controlling does not work at all.
The applications controlled with kremote (amarok for example) does not work, even kradio, that does not use kremote and use lirc directly, does not work, though irw prints right buttons names.

I noticed that if I restart lirc service and logoff ang logon again, kremote starts work properly: systemsettings stops crashing and I can controll amarok and kradio.
Just restarting lirc or logoff/logon does not helps, It is needed both actions.

-- Backtrace (Reduced):
#7  0x02dfd9fb in RemoteControl::buttons() const () from /usr/lib/liblibkremotecontrol.so.1
[...]
#11 0x00f40b7d in metacall (argv=0xbf96e4d8, idx=38, cl=QMetaObject::InvokeMetaMethod, object=0x9b59f80) at kernel/qmetaobject.cpp:237
[...]
#14 0x07331e6d in QAbstractButton::clicked (this=0x9d1fd20, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#15 0x070305dd in QAbstractButtonPrivate::emitClicked (this=0x9d20028) at widgets/qabstractbutton.cpp:546
#16 0x07031c4b in QAbstractButtonPrivate::click (this=0x9d20028) at widgets/qabstractbutton.cpp:539
Comment 2 Michael Zanetti 2012-11-05 14:10:14 UTC
fixed
Comment 3 Michael Zanetti 2012-11-05 14:46:57 UTC
Git commit 94fa064edc5fdef7b6c4243bd719324f53f7891d by Michael Zanetti.
Committed on 05/11/2012 at 14:49.
Pushed by mzanetti into branch 'KDE/4.9'.

Correctly disable buttons in case a remote control is not available.
Make it more obvious when a remote is not available.

Fixes some crash reports when people tried to edit a non existent remote:
Related: bug 284640, bug 301046

M  +6    -4    kcmremotecontrol/kcmremotecontrol.cpp
M  +10   -1    kcmremotecontrol/model.cpp

http://commits.kde.org/kremotecontrol/94fa064edc5fdef7b6c4243bd719324f53f7891d
Comment 4 Michael Zanetti 2012-11-05 14:46:57 UTC
Git commit 94fa064edc5fdef7b6c4243bd719324f53f7891d by Michael Zanetti.
Committed on 05/11/2012 at 14:49.
Pushed by mzanetti into branch 'KDE/4.9'.

Correctly disable buttons in case a remote control is not available.
Make it more obvious when a remote is not available.

Fixes some crash reports when people tried to edit a non existent remote:
Related: bug 284640, bug 301046

M  +6    -4    kcmremotecontrol/kcmremotecontrol.cpp
M  +10   -1    kcmremotecontrol/model.cpp

http://commits.kde.org/kremotecontrol/94fa064edc5fdef7b6c4243bd719324f53f7891d